// Written by Pawel Tatera
// Copyright (c) 2014, 2015 TinyIT
// All rights reserved

// _WIN32 - the compiler's define, used to detect native builds for Windows OS.
// Q: Is it also defined for AMD64 and IA64 builds?
// A: Yes! But still, the defines from Makefile.w32 can be used to build
//    platform specific parts of code.
//    /DWIN32 - for native 32 bit releases,
//    /DWIN64_AMD - for native 64 bit releases,
//    /DWIN64_IA - for IA64 builds.

#if defined _WIN32 && ! defined TCONV_STATIC

#pragma message("tconv_so.h: have _WIN32")

#ifdef DLLEXPORT
#pragma message("tconv_so.h: have __declspec(dllexport)")
#define DECLSPEC __declspec(dllexport)
#else
#pragma message("tconv_so.h: have __declspec(dllimport)")
#define DECLSPEC __declspec(dllimport)
#endif	// DLLEXPORT

#else
// No _WIN32 at all and/or have both - _WIN32 and TCONV_STATIC defined.
// This is good for other OS-es, like POSIX/Linux, etc.
#if defined _WIN32
#pragma message("tconv_so.h: DECLSPEC defaults to \"\". ")
#endif // _WIN32

#define DECLSPEC

#endif	// _WIN32 + ! TCONV_STATIC

